package ApplicationLayer.Circuit;

/**
 *
 * @author Jakub Hrncir (2010)
 */
public class Component {

    public boolean isSource;//zdroj/rezistor
    public double resistance;
    public double voltage;
    public Node plusNode;//ke kterému uzlu ukazuje + pól zdroje

    /**
     * vytvoř rezistor
     * @param resistance
     */
    public Component(double resistance) {
        isSource = false;
        this.resistance = resistance;
    }

    /**
     * vytvoř zdroj
     * @param voltage
     * @param plusNode ke kterému uzlu ukazuje + pól zdroje
     */
    public Component(double voltage, Node plusNode) {
        isSource = true;
        this.voltage = voltage;
        this.plusNode = plusNode;
    }
}
