package ApplicationLayer.Circuit;

import ApplicationLayer.Position;
import PresentationLayer.Grid.GFNode;
import java.util.ArrayList;

/**
 *
 * @author Jakub Hrncir (2010)
 */
public class Node implements Highlightable {

    public Position pos;
    public GFNode node;

    public Node(Position pos, GFNode node) {
        this.pos = new Position(pos.row, pos.col);
        this.node = node;
    }

    /**
     * @return označení smyčky - název do listu
     */
    @Override
    public String toString() {
        return ("Uzel " + node.getMark()/* + " [" + pos.row + "," + pos.col + "]"*/);
    }

    public ArrayList<Position> getPositions() {
        ArrayList<Position> positions = new ArrayList<Position>();
        positions.add(pos);
        return positions;
    }
}
