package ApplicationLayer;

/**
 *
 * @author Jakub Hrncir (2010)
 */
public abstract class NumOp {//operace s čísly

    private static int ACCURACY = 4;//počet desetinných pro výpočty

    /**
     * zaokrouhlí desetinné číslo na daný počet desetinných míst
     */
    public static double roundDouble(double d, int accuracy) {
        d *= Math.pow(10, accuracy + 1);
        long l = Math.round(d);
        d = (double) l / (double) 10;
        l = Math.round(d);
        d = (double) l / (double) (Math.pow(10, accuracy));
        return d;
    }

    /**
     * zaokrouhlí desetinné číslo na nastavený počet desetinných míst
     * pro použití při výpočtech
     */
    public static double roundDouble(double d) {
        return roundDouble(d, ACCURACY);
    }

    /**
     * @return String - zápis čísla bez desetinných 0 (příp. čárky) na konci
     */
    public static String writeDouble(double d) {
        String s = Double.toString(d);
        for (int i = s.length() - 1; i >= 0; i--) {
            if (s.charAt(i) == '0') {
                s = s.substring(0, i);
            } else if (s.charAt(i) == '.') {
                return s.substring(0, i).replace('.', ',');
            } else {
                return s.replace('.', ',');
            }
        }
        return "W";
    }

    /**
     * převede String (desetinné číslo s čárkou!) na Double
     */
    public static Double parseDouble(String s) {
        return Double.parseDouble(s.replace(',', '.'));
    }
}
