package PresentationLayer.Grid;

import java.awt.Color;
import java.awt.Graphics;

/**
 * "žádné políčko" - aby proměnná selected nebyla null, ale šlo odlišit stav, kdy není žádné políčko označené
 * @author Jakub Hrncir (2010)
 */
public class GFNone extends GridField {

    @Override
    public void paint(Graphics g, int x1, int y1, int GC, boolean selected, boolean paintMarks) {
    }

    @Override
    public boolean isCleared() {
        return false;
    }

    @Override
    public Color setHighlightColor(double green) {
        return null;
    }
    @Override
    public void setHighlightColor() {
    }

}
