package PresentationLayer;

import ApplicationLayer.Circuit.Circuit;
import ApplicationLayer.Equation;
import java.util.ArrayList;

/**
 *
 * @author Jakub Hrncir (2010)
 */
public interface IPresentationLayer {

    public void showBranches(Circuit c);
    public void showEquations(ArrayList<Equation> equations);
    public void showSolution(double[] solution, boolean needInterpret);
    public void interpretSolution();
    public void showErrorMessage(String message);
}
